Mojolicious::Command::Author::generate::makefile(3pm)

NAME
Mojolicious::Command::Author::generate::makefile - Makefile generator command

SYNOPSIS
  Usage: APPLICATION generate makefile [OPTIONS]

    ./myapp.pl generate makefile
    mojo generate makefile

  Options:
    -h, --help   Show this summary of available options

DESCRIPTION
Mojolicious::Command::Author::generate::makefile generates "Makefile.PL" files for applications.

This is a core command, that means it is always enabled and its code a good example for learning to build new commands, you're welcome to fork it.

See "COMMANDS" in Mojolicious::Commands for a list of commands that are available by default.

ATTRIBUTES
Mojolicious::Command::Author::generate::makefile inherits all attributes from Mojolicious::Command and implements the following new ones.

  description
  my $description = $makefile->description;
  $makefile       = $makefile->description('Foo');

Short description of this command, used for the command list.

  usage
  my $usage = $makefile->usage;
  $makefile = $makefile->usage('Foo');

Usage information for this command, used for the help screen.

METHODS
Mojolicious::Command::Author::generate::makefile inherits all methods from Mojolicious::Command and implements the following new ones.

  run
  $makefile->run(@ARGV);

Run this command.

SEE ALSO
Mojolicious, Mojolicious::Guides, <https://mojolicious.org>.